JBoss API: Class StatefulSessionInstanceCache

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class StatefulSessionInstanceCache

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.AbstractInstanceCache
            |
            +--org.jboss.ejb.plugins.StatefulSessionInstanceCache

All Implemented Interfaces:
  ContainerPlugin, InstanceCache, MetricsConstants, Monitorable, Service, XmlLoadable

public class StatefulSessionInstanceCache
extends AbstractInstanceCache

Cache for stateful session beans.

Version:
  $Revision: 1.7.2.7 $
Author:
  Simone Bordet, Sebastien Alborini

Inner classes inherited from class org.jboss.ejb.plugins.AbstractInstanceCache
`AbstractInstanceCache.PassivationHelper`

Fields inherited from class org.jboss.ejb.plugins.AbstractInstanceCache
`log`

Fields inherited from interface org.jboss.monitor.MetricsConstants
`ACTIVITY, APPLICATION, BEAN, BEANCACHE_METRICS, CHECKPOINT, INVOCATION_METRICS, MEMORY_MONITOR, METHOD, PRIMARY_KEY, SYSTEM_METRICS, THREAD_MONITOR, TIME, TYPE`

Constructor Summary
`StatefulSessionInstanceCache()`

Method Summary
`protected EnterpriseContext` | `acquireContext()` Acquires an EnterpriseContext from the pool
`protected void` | `activate(EnterpriseContext ctx)` Activates the given EnterpriseContext
`protected boolean` | `canPassivate(EnterpriseContext ctx)` Returns whether the given context can be passivated or not
`void` | `destroy()`
`protected void` | `freeContext(EnterpriseContext ctx)` Frees the given EnterpriseContext to the pool
`protected Container` | `getContainer()` Returns the container for this cache.
`protected java.lang.Object` | `getKey(EnterpriseContext ctx)` Returns the key used by the cache to map the given context
`protected void` | `passivate(EnterpriseContext ctx)` Passivates the given EnterpriseContext
`void` | `setContainer(Container c)` This callback is set by the container so that the plugin may access it
`protected void` | `setKey(java.lang.Object id, EnterpriseContext ctx)` Sets the given id as key for the given context

Methods inherited from class org.jboss.ejb.plugins.AbstractInstanceCache
`get, getCache, getCacheLock, importXml, init, insert, isActive, isJMSMonitoringEnabled, logActivation, logPassivation, logPassivationPostponed, logPassivationScheduled, release, remove, resetStatistic, retrieveStatistic, sample, schedulePassivation, setJMSMonitoringEnabled, start, stop, unschedulePassivation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatefulSessionInstanceCache

    public StatefulSessionInstanceCache()

Method Detail

### setContainer

    public void setContainer(Container c)

  Description copied from interface: `ContainerPlugin`
  This callback is set by the container so that the plugin may access it
  Following copied from interface: `org.jboss.ejb.ContainerPlugin`
  Parameters:
    `con` - the container using this plugin

### destroy

    public void destroy()

  Overrides:
    `destroy` in class `AbstractInstanceCache`

### getContainer

    protected Container getContainer()

  Description copied from class: `AbstractInstanceCache`
  Returns the container for this cache.
  Overrides:
    `getContainer` in class `AbstractInstanceCache`

### passivate

    protected void passivate(EnterpriseContext ctx)
                      throws java.rmi.RemoteException

  Description copied from class: `AbstractInstanceCache`
  Passivates the given EnterpriseContext
  Overrides:
    `passivate` in class `AbstractInstanceCache`

### activate

    protected void activate(EnterpriseContext ctx)
                     throws java.rmi.RemoteException

  Description copied from class: `AbstractInstanceCache`
  Activates the given EnterpriseContext
  Overrides:
    `activate` in class `AbstractInstanceCache`

### acquireContext

    protected EnterpriseContext acquireContext()
                                        throws java.lang.Exception

  Description copied from class: `AbstractInstanceCache`
  Acquires an EnterpriseContext from the pool
  Overrides:
    `acquireContext` in class `AbstractInstanceCache`

### freeContext

    protected void freeContext(EnterpriseContext ctx)

  Description copied from class: `AbstractInstanceCache`
  Frees the given EnterpriseContext to the pool
  Overrides:
    `freeContext` in class `AbstractInstanceCache`

### getKey

    protected java.lang.Object getKey(EnterpriseContext ctx)

  Description copied from class: `AbstractInstanceCache`
  Returns the key used by the cache to map the given context
  Overrides:
    `getKey` in class `AbstractInstanceCache`

### setKey

    protected void setKey(java.lang.Object id,
                          EnterpriseContext ctx)

  Description copied from class: `AbstractInstanceCache`
  Sets the given id as key for the given context
  Overrides:
    `setKey` in class `AbstractInstanceCache`

### canPassivate

    protected boolean canPassivate(EnterpriseContext ctx)

  Description copied from class: `AbstractInstanceCache`
  Returns whether the given context can be passivated or not
  Overrides:
    `canPassivate` in class `AbstractInstanceCache`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.